<script lang="ts" setup>
import BoatPreviewComponent from '~/components/boat/BoatPreviewComponent.vue';
import { useBoatStore } from '~/stores/boat';
import { storeToRefs } from 'pinia';

definePageMeta({ title: 'Boats' });

const boatStore = useBoatStore();
const { boats } = storeToRefs(boatStore);

onMounted(() => boatStore.fetchBoats());
</script>

<template>
  <q-page>
    <boat-preview-component :boats="boats" />
  </q-page>
</template>
